quotacheck(8)

NUME
quotacheck - scanează un sistem de fișiere pentru utilizarea discului, creează, verifică și repară fișierele de cote

SINOPSIS
quotacheck [ -gubcfinvdMmR ] [ -F format-cotă ] -a | sistem-de-fișiere

DESCRIERE
quotacheck examinează fiecare sistem de fișiere, construiește un tabel de utilizare curentă a discului și compară acest tabel cu cel înregistrat în fișierul de cote de disc pentru sistemul de fișiere (acest pas este omis dacă este specificată opțiunea -c). În cazul în care se detectează neconcordanțe, se actualizează atât fișierul de cote, cât și copia curentă din sistem a cotelor incorecte (aceasta din urmă are loc numai dacă se verifică un sistem de fișiere activ, ceea ce nu este recomandat). În mod implicit, sunt verificate numai cotele de utilizator. quotacheck se așteaptă ca fiecare sistem de fișiere care urmează să fie verificat să aibă fișiere de cote denumite [a]quota.user și [a]quota.group situate la rădăcina sistemului de fișiere asociat. În cazul în care un fișier nu este prezent, quotacheck îl va crea.

În cazul în care fișierul de cote este corupt, quotacheck încearcă să salveze cât mai multe date posibil. Salvarea datelor poate necesita intervenția utilizatorului. Fără opțiuni suplimentare, quotacheck va ieși pur și simplu într-o astfel de situație. Atunci când se află în modul interactiv (opțiunea -i) , utilizatorului i se cere un sfat. Sfatul poate fi furnizat și din linia de comandă (a se vedea opțiunea -n) , ceea ce este util atunci când quotacheck este rulat automat (adică din script) și eșecul este inacceptabil.

quotacheck trebuie să fie rulat de fiecare dată când sistemul pornește și montează sisteme de fișiere nevalide. Acest lucru se întâmplă cel mai probabil după o eroare de sistem.

Se recomandă cu tărie să rulați quotacheck cu cotele dezactivate pentru sistemul de fișiere. În caz contrar, se pot produce posibile deteriorări sau pierderi de date din fișierele de cote. De asemenea, nu este înțelept să rulați quotacheck pe un sistem de fișiere live, deoarece utilizarea reală se poate modifica în timpul scanării. Pentru a preveni acest lucru, quotacheck încearcă să remonteze sistemul de fișiere în regim de numai-citire înainte de a începe scanarea. După terminarea scanării, acesta remontează sistemul de fișiere în regim de citire-scriere. Puteți dezactiva acest lucru cu opțiunea -m. De asemenea, puteți face ca quotacheck să ignore eșecul de remontare a sistemului de fișiere numai-citire cu opțiunea -M.

OPȚIUNI

-b, --backup
    Forțează quotacheck să facă copii de siguranță ale fișierului de cote înainte de a scrie noile date.

-v, --verbose
    quotacheck raportează operația sa pe măsură ce avansează. În mod normal, funcționează în mod silențios. Dacă opțiunea este specificată de două ori, se imprimă și directorul curent (rețineți că imprimarea poate încetini considerabil scanarea).

-d, --debug
    Activează modul de depanare. Acesta va avea ca rezultat o mulțime de informații care pot fi utilizate în depanarea programului. Ieșirea este foarte abundentă, iar scanarea va fi lentă.

-u, --user
    Se verifică numai cotele de utilizatori listate în /etc/mtab sau pe sistemele de fișiere specificate. Aceasta este acțiunea implicită.

-g, --group
    Vor fi verificate numai cotele de grup listate în /etc/mtab sau pe sistemele de fișiere specificate.

-c, --create-files
    Nu citește fișierele de cote existente. Efectuează doar o nouă scanare și o salvează pe disc. De asemenea, quotacheck sare peste scanarea fișierelor de cote vechi atunci când acestea nu sunt găsite.

-f, --force
    Forțează verificarea și scrierea de noi fișiere de cote pe sistemele de fișiere cu cote activate. Acest lucru nu este recomandat, deoarece fișierele de cote create pot fi nesincronizate.

-M, --try-remount
    Această opțiune forțează verificarea sistemului de fișiere în modul de citire-scriere în cazul în care o remontare eșuează. Efectuați acest lucru numai dacă sunteți sigur că niciun proces nu va scrie pe un sistem de fișiere în timpul scanării.

-m, --no-remount
    Nu încearcă să remonteze sistemul de fișiere numai-pentru-citire. A se vedea comentariul cu opțiunea -M.

-i, --interactive
    Modul interactiv. În mod implicit, quotacheck iese atunci când găsește o eroare. În modul interactiv, utilizatorului i se cere în schimb să introducă date. A se vedea opțiunea -n.

-n, --use-first-dquot
    În cazul în care fișierele de cote sunt corupte, este posibil să existe intrări duplicate pentru un singur ID de utilizator sau de grup. În mod normal, în acest caz, quotacheck iese sau cere utilizatorului să introducă date. Atunci când această opțiune este dată, se utilizează întotdeauna prima intrare găsită (această opțiune funcționează și în modul interactiv).

-F, --format=nume-format
    Verifică și repară fișierele de cotă cu formatul specificat (adică nu efectuează detectarea automată a formatului). Acest lucru este recomandat deoarece este posibil ca detecția să nu funcționeze bine în cazul fișierelor de cote corupte. Numele formatelor posibile sunt: vfsold Formatul de cotă original cu UID-uri / GID-uri pe 16 biți, vfsv0 Format de cotă cu UID-uri / GID-uri pe 32 de biți, utilizarea spațiului pe 64 de biți, utilizarea și limitele nodurilor-i pe 32 de biți, vfsv1 Format de cotă cu limite și utilizarea cotelor pe 64 de biți, rpc (cotă pe NFS), xfs (cotă pe sistemul de fișiere XFS).

-a, --all
    Verifică toate sistemele de fișiere non-NFS montate în /etc/mtab.

-R, --exclude-root
    Atunci când este utilizată împreună cu opțiunea -a, toate sistemele de fișiere, cu excepția sistemului de fișiere rădăcină, sunt verificate pentru cote.

NOTĂ
quotacheck ar trebui să fie rulat numai de către super-utilizator. Se presupune că utilizatorii fără privilegii nu au voie să citească toate directoarele din sistemul de fișiere dat.

CONSULTAȚI ȘI
quota(1), quotactl(2), fstab(5), quotaon(8), repquota(8), convertquota(8), setquota(8), edquota(8), fsck(8), efsck(8), e2fsck(8), xfsck(8)

FIȘIERE
aquota.user sau aquota.group
    localizat la rădăcina sistemului de fișiere cu cote (cote versiunea 2, sisteme de fișiere non-XFS)
quota.user sau quota.group
    localizat la rădăcina sistemului de fișiere cu cote (cotă versiunea 1, sisteme de fișiere non-XFS)
/etc/mtab
    numele și locațiile sistemelor de fișiere montate

AUTOR
Jan Kara <jack@suse.cz>
Bazat pe vechiul quotacheck de:
Edvard Tuinder <ed@elm.net>
Marco van Wieringen <mvw@planets.elm.net>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.
Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.